Mail archive
alpine-aports

[alpine-aports] [PATCH v2] testing/imapsync: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 13 Jan 2016 05:17:16 +0000

---
v1 ---> v2:
  fix license type + add license to docs
 testing/imapsync/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/imapsync/APKBUILD
diff --git a/testing/imapsync/APKBUILD b/testing/imapsync/APKBUILD
new file mode 100644
index 0000000..892a035
--- /dev/null
+++ b/testing/imapsync/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=imapsync
+pkgver=1.670
+pkgrel=0
+pkgdesc="IMAP synchronisation, sync, copy or migration tool"
+url="http://imapsync.lamiral.info"
+arch="noarch"
+license="custom"
+depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper perl-data-uniqid perl-digest-md5 \
+	perl-file-copy-recursive perl-io-socket-inet6 perl-io-socket-ssl perl-io-tee perl-mail-imapclient \
+	perl-parse-recdescent perl-term-readkey perl-test-pod perl-test-simple perl-unicode-string perl-uri-escape"
+depends_dev=""
+makedepends="$depends_dev perl-module-scandeps perl-par-packer"
+subpackages="$pkgname-doc"
+source="https://github.com/$pkgname/$pkgname/archive/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgname-$pkgver
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+	install -Dm644 FAQ.d/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+md5sums="1956d13e32534337fcea7aba6da0feb0  imapsync-1.670.tar.gz"
+sha256sums="0a02a60899850a2aa8b7642a1caebda951437e2eb530f32489b10e651e957a29  imapsync-1.670.tar.gz"
+sha512sums="1a51c707b168a04900cb19a9df1d185bde3a42cda74c12d863d19f84c806f1c161a0e240e51a3c9673a17b2010df22e55c0286108d6aaa8a3b0233a4d510311f  imapsync-1.670.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 13 2016 - 05:17:16 GMT